DWARF_FORMFLAG(3) | Library Functions Manual | DWARF_FORMFLAG(3)

# NAME

`dwarf_formflag` —
return the value of a BOOLEAN class attribute

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

int
`dwarf_formflag`(Dwarf_Attribute attr, Dwarf_Bool *ret, Dwarf_Error *err);

# DESCRIPTION

Function `dwarf_formflag`() sets the location pointed to by argument ret to 1 if the attribute referenced by argument attr has a non-zero value, or 0 otherwise. The form of argument attr must be one of `DW_FORM_flag` or `DW_FORM_flag_present`.

If argument err is not NULL, it will be used to return an error descriptor in case of an error.

# RETURN VALUES

Function `dwarf_formflag`() returns `DW_DLV_OK` on success. In case of an error, it returns `DW_DLV_ERROR` and sets argument err.

# ERRORS

Function `dwarf_formflag`() may fail with the following errors:

[`DW_DLE_ARGUMENT`]
  Either of arguments attr or ret was NULL.
[`DW_DLE_ATTR_FORM_BAD`]
  The attribute referenced by argument attr was not of a permitted kind.

# SEE ALSO

dwarf(3), dwarf_attr(3), dwarf_formblock(3), dwarf_formref(3), dwarf_formsdata(3), dwarf_formsig8(3), dwarf_formstring(3), dwarf_formudata(3), dwarf_hasattr(3)

June 21, 2010 | NetBSD 9.0